-- 这是聚光灯控制脚本，用lua 5.2.x语言编写。聚光灯介绍形式是枫传网络独创的软件介绍方式。通过将软件界面雾化为背景，并用聚光灯突显要介绍的部分，配合文字说明，对软件进行介绍。您可以按照提示修改此脚本。
-- 下面为文件信息，除CodePage外，其它项目请不要修改。
Application = "GTalkabout"
Version = "1.1"
ScriptType = "tutorial"
CodePage = 936	-- 简体中文，如果您将此脚本翻译为其他语种，请修改为该语种对应的代码页，否则，请不要修改。

-- 下面为介绍文字，是markdown格式文本。您可以将其翻译为其它语种或修改，请不要修改圆括号内的文字。
Hint_text = [[
开源项目的“相识中”面板
===

极客讨论器用批注消息帮您阅读开源代码。我们提供了一项服务，将批注开源代码的消息进行**登记**，并通过“相识中”面板回显给所有阅读此开源代码的读者。

[下一步](receive_messages)
]]

AcquaintReceive_text = [[
接收登记的批注消息
===

当某用户在极客网站上批注开源代码时，批注消息会登记在与之相关的开源项目下。而在您用极客讨论器打开此开源项目时，就会接收此消息并显示在消息板中。

收到消息后，可以用它打开网页，您可以阅读和代码相关的知识点，或者打开极客网站的讨论面板，您可以参与讨论。  
您可以启动向导[1.1.9/1.2.0版功能介绍](whats_new_1_2_0)，了解消息登记的功能。

[上一步](acquainting)        [关闭提示](cancel_auto_load)
]]

-- 下面为聚光灯流程控制，请不要修改！
function ControlValueIterator(ControlTable)
	local iIndex = 0

	return function()
		iIndex = iIndex + 1;
		local ControlValue = ControlTable[iIndex];

		if type(ControlValue) == "string" then
			return ControlValue, "";
		elseif type(ControlValue) == "table" then
			local Control, Value = ControlValue[1], ControlValue[2];

			if type(Control) == "string" then
				if type(Value) == "string" then
					return Control, Value;
				else
					return Control, "";
				end
			else
				return nil;
			end
		else
			return nil;
		end
	end
end

Loaded = false;

function ChangeSpotlights(ControlTable)
	local Iter = ControlValueIterator(ControlTable);
	local Control, Value = Iter();

	if Control == "close" or Control == "cancel_auto_load" then
		return {}, "";
	elseif (Control == "acquaint_receive" and not Loaded) or Control == "acquainting" then
		Loaded = true;
		return { {"im_tab", 0} }, Hint_text;
	elseif Control == "receive_messages" then
		return { {"acquaint_receive", 1}, {"acquaint_messages", 0} }, AcquaintReceive_text;
	elseif Control == "whats_new_1_2_0" then
		TutorialOptions(Control);
	end
end

AutoLoad = 0